parameters:
    webkul_prestashop_connector.reader.database.product_model.class: Webkul\PrestashopConnectorBundle\Connector\Reader\ProductModelReader
    webkul_prestashop_connector.reader.database.category.class: Webkul\PrestashopConnectorBundle\Connector\Reader\CategoryReader
    webkul_prestashop_connector.reader.database.attribute.class: Webkul\PrestashopConnectorBundle\Connector\Reader\AttributeReader
    webkul_prestashop_connector.reader.database.attribute_option.class: Webkul\PrestashopConnectorBundle\Connector\Reader\AttributeOptionReader
services:
    webkul_prestashop_connector.reader.database.category:
        class: '%webkul_prestashop_connector.reader.database.category.class%'
        arguments:
            - '@pim_catalog.repository.category'
            - '@pim_catalog.repository.channel'

    # Database readers
    webkul_prestashop_connector.reader.database.product:
        class: '%webkul_prestashop_connector.reader.database.product_model.class%'
        arguments:
            - '@pim_catalog.query.product_model_query_builder_factory'
            - '@pim_catalog.repository.channel'
            - '@pim_catalog.converter.metric'
            - true

    webkul_prestashop_connector.reader.attribute:
        class: '%webkul_prestashop_connector.reader.database.attribute.class%'
        arguments:
            - '@pim_catalog.repository.attribute'
            - '@webkul_prestashop_connector.configuration.service'

    webkul_prestashop_connector.reader.attribute_option:
        class: '%webkul_prestashop_connector.reader.database.attribute_option.class%'
        arguments:
            - '@pim_catalog.repository.attribute_option'
            - '@webkul_prestashop_connector.configuration.service'

    